SDL_BlitSurfaceTiledWithScale(3)

NAME
SDL_BlitSurfaceTiledWithScale - Perform a scaled and tiled blit to a destination surface, which may be of a different format.

HEADER FILE
Defined in SDL3/SDL_surface.h

SYNOPSIS
#include "SDL3/SDL.h"

bool SDL_BlitSurfaceTiledWithScale(SDL_Surface *src, const SDL_Rect *srcrect, float scale, SDL_ScaleMode scaleMode, SDL_Surface *dst, const SDL_Rect *dstrect);

DESCRIPTION
The pixels in srcrect will be scaled and repeated as many times as needed to completely fill dstrect .

FUNCTION PARAMETERS

src the SDL_Surface
     structure to be copied from.

srcrect
    the SDL_Rect
     structure representing the rectangle to be copied, or NULL to copy the entire surface.

scale
    the scale used to transform srcrect into the destination rectangle, e.g. a 32x32 texture with a scale of 2 would fill 64x64 tiles.

scaleMode
    scale algorithm to be used.

dst the SDL_Surface
     structure that is the blit target.

dstrect
    the SDL_Rect
     structure representing the target rectangle in the destination surface, or NULL to fill the entire surface.

RETURN VALUE
Returns true on success or false on failure; call

SDL_GetError () for more information.

THREAD SAFETY
The same destination surface should not be used from two threads at once. It is safe to use the same source surface from multiple threads.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_BlitSurface(3)